Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libart_lgpl
Version:	2.3.20
Release:	1
License:	LGPL
URL: 		http://www.gnome.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2

Patch0:		libart_lgpl-2.3.19-kdelibs_fix.patch

BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Library of graphics routines used by libgnomecanvas

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%package	devel
Summary: 	Libraries and headers for libart_lgpl
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description	devel
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%prep
%setup -q
# C externs fix build of kdelibs
#%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/lib*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/lib*.so
%_pkgconfig
%_bindir/libart2-config
%_includedir

%changelog
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.3.20-1
- Version update, execution of patch disabled
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.19-2
- added fix against blfs bug #2307 (kdelibs won't build)
* Tue Sep 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.19-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.17-3
- rebuild
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 2.3.17-2
- rebuilt, removed wrong Obsoletes-Tag
- moved more files to devel
* Tue Apr 26 2005 Christian Wasem <wasem@ccux-linux.de> 2.3.17-1
- update to Version 2.3.17
